Index: /trunk/src/VBox/Installer/solaris/vboxconfig.sh
===================================================================
--- /trunk/src/VBox/Installer/solaris/vboxconfig.sh	(revision 26759)
+++ /trunk/src/VBox/Installer/solaris/vboxconfig.sh	(revision 26760)
@@ -718,5 +718,6 @@
             ;;
         *)
-            break
+            errorprint "Invalid operation: $1"
+            exit 1
             ;;
     esac
